package net.brokenmoon.afloydwiremod.gui;

import net.brokenmoon.afloydwiremod.api.AbstractWireTileEntity;
import net.brokenmoon.afloydwiremod.tileentity.ChipTileEntity;
import net.minecraft.src.*;

public class GuiProgrammer extends GuiScrollable {

    private AbstractWireTileEntity wireEntity;

    @Override
    public void initGui() {
        //this.height - 240 is top
        //This.width / 2
        this.controlList.add(new GuiButtonExtended(1, this.width, "Constant"));
        this.controlList.add(new GuiButtonExtended(2, this.width, "Count"));
    }

    public GuiProgrammer(EntityPlayer player, AbstractWireTileEntity wireEntity) {
        super.initGui();
        this.wireEntity = wireEntity;
    }

    @Override
    protected void actionPerformed(GuiButton guibutton) {
        if(wireEntity instanceof ChipTileEntity) {
            if (guibutton.id == 1) {
                ((ChipTileEntity) wireEntity).setMode("constant");
            } else if (guibutton.id == 2) {
                ((ChipTileEntity) wireEntity).setMode("count");
            }
        }
        this.mc.displayGuiScreen(null);
    }

}
